aCCCompiler (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.hp.aCCCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.hp
Class aCCCompiler

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
          net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
              net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
                  net.sf.antcontrib.cpptasks.compiler.CommandLineCCompiler
                      net.sf.antcontrib.cpptasks.gcc.GccCompatibleCCompiler
                          net.sf.antcontrib.cpptasks.hp.aCCCompiler

All Implemented Interfaces:
  java.lang.Cloneable, Compiler, Processor

    public final class aCCCompiler

extends GccCompatibleCCompiler

Adapter for the HP aC++ C++ compiler

Author:
  Curt Arnold

Field Summary

Fields inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`DEFAULT_DISCARD_BID, DEFAULT_PROCESS_BID`

Method Summary
`void` | `addImpliedArgs(java.util.Vector args, boolean debug, boolean multithreaded, boolean exceptions, LinkType linkType, java.lang.Boolean rtti, OptimizationEnum optimization)`
`void` | `addWarningSwitch(java.util.Vector args, int level)`
`java.io.File[]` | `getEnvironmentIncludePath()`
`static aCCCompiler` | `getInstance()` Gets singleton instance of this class
`Linker` | `getLinker(LinkType linkType)` Gets the linker that is associated with this processors
`int` | `getMaximumCommandLength()`

Methods inherited from class net.sf.antcontrib.cpptasks.gcc.GccCompatibleCCompiler
`addIncludePath, getDefineSwitch, getIncludeDirSwitch, getUndefineSwitch`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineCCompiler
`createParser`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
`addIncludes, buildDefineArguments, compile, createConfiguration, getArgumentCountPerInputFile, getCommand, getIdentifier, getInputFileArgument, getLibtool, getLibtoolCompiler, getMaximumInputFilesPerCommand, getTotalArgumentLengthForInputFile, runCommand, setCommand`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
`canParse, createConfiguration, getBaseOutputName, getOutputFileNames, parseIncludes, resolveInclude`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`bid, changeEnvironment, clone, getHeaderExtensions, getIdentifier, getOSArch, getOSName, getSourceExtensions, isDarwin, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sf.antcontrib.cpptasks.compiler.Processor
`bid, changeEnvironment`

Method Detail

### getInstance

    public static aCCCompiler getInstance()

  Gets singleton instance of this class

### addImpliedArgs

    public void addImpliedArgs(java.util.Vector args,
                               boolean debug,
                               boolean multithreaded,
                               boolean exceptions,
                               LinkType linkType,
                               java.lang.Boolean rtti,
                               OptimizationEnum optimization)

  Overrides:
    `addImpliedArgs` in class `GccCompatibleCCompiler`

### addWarningSwitch

    public void addWarningSwitch(java.util.Vector args,
                                 int level)

  Overrides:
    `addWarningSwitch` in class `GccCompatibleCCompiler`

### getEnvironmentIncludePath

    public java.io.File[] getEnvironmentIncludePath()

  Overrides:
    `getEnvironmentIncludePath` in class `GccCompatibleCCompiler`

### getLinker

    public Linker getLinker(LinkType linkType)

  Description copied from interface: `Processor`
  Gets the linker that is associated with this processors

### getMaximumCommandLength

    public int getMaximumCommandLength()

  Specified by:
    `getMaximumCommandLength` in class `CommandLineCompiler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.